<template>
  <div class="app-container">
    <el-form :model="queryParams" ref="queryForm" size="small" :inline="true" v-show="showSearch" label-width="68px">
      <el-form-item label="" prop="tpName">
        <el-input
          v-model="queryParams.tpName"
          placeholder="请输入测点名称"
          clearable
          @keyup.enter.native="handleQuery"
        />
      </el-form-item>
      <el-form-item label="" prop="typeName">
        <el-select v-model="queryParams.typeName" placeholder="请选择监测项名称" clearable>
          <el-option
            v-for="dict in typeName"
            :key="dict"
            :label="dict"
            :value="dict"
          />
        </el-select>
      </el-form-item>
      <el-form-item label="日期查询">
        <el-date-picker v-model="dateRange" style="width: 240px" value-format="yyyy-MM-dd" type="daterange" range-separator="-" start-placeholder="开始日期" end-placeholder="结束日期"></el-date-picker>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
        <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form>

    <el-table v-loading="loading" :data="envMonitorHisData" >
      <el-table-column label="测点名称" align="center" prop="tpName" />
      <el-table-column label="测点编号" align="center" prop="tpNum" />
      <el-table-column label="测点类型" align="center" prop="typeName" />
      <el-table-column label="单位" align="center" prop="unit" />
      <el-table-column label="监测值" align="center" prop="value" />
      <el-table-column label="测量时间" align="center" prop="time" />
      <el-table-column label="状态" align="center" prop="status">
        <template slot-scope="scope">
          <el-tag v-if="scope.row.status==1">正常</el-tag>
          <el-tag v-else type="warning">异常</el-tag>
        </template>
      </el-table-column>
      
    </el-table>

    <pagination
      v-show="total>0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />

  
  </div>
</template>

<script>
  import {get2502, envMonitoringHis} from "@/api/tyler/envMonitoringHis";
  import {typeNameList} from "@/api/tyler/common";
  export default {
  name: "2502",
  data() {
    return {
      // 根路径
      baseURL: process.env.VUE_APP_BASE_API,
      // 遮罩层
      loading: true,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // 环境监测的实时数据表格数据
      envMonitorHisData: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        typeName: null,
        tpName: null,
      },
      // 日期范围
      dateRange: [],
      // 表单参数
      form: {},
      // 表单校验
      rules: {}
    };
  },
  created() {
    typeNameList().then(res => {
      // console.log(res,'res')
      this.typeName = res.data
    })
    this.getList();
  },
  methods: {
    /** 查询环境监测的实时数据列表 */
    getList() {
      this.loading = true;
      envMonitoringHis(this.addDateRange(this.queryParams, this.dateRange)).then(response => {
        this.envMonitorHisData = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        tpNum: null,
        value: null,
        value1: null,
        state: null,
        exstate: null,
        time: null
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.dateRange = [];
      this.resetForm("queryForm");
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map(item => item.tpNum)
      this.single = selection.length!==1
      this.multiple = !selection.length
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.title = "添加环境监测的实时数据";
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      const tpNum = row.tpNum || this.ids
      get2502(tpNum).then(response => {
        this.form = response.data;
        this.open = true;
        this.title = "修改环境监测的实时数据";
      });
    },
    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.tpNum != null) {
            update2502(this.form).then(response => {
              this.$modal.msgSuccess("修改成功");
              this.open = false;
              this.getList();
            });
          } else {
            add2502(this.form).then(response => {
              this.$modal.msgSuccess("新增成功");
              this.open = false;
              this.getList();
            });
          }
        }
      });
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const tpNums = row.tpNum || this.ids;
      this.$modal.confirm('是否确认删除环境监测的实时数据编号为"' + tpNums + '"的数据项？').then(function() {
        return del2502(tpNums);
      }).then(() => {
        this.getList();
        this.$modal.msgSuccess("删除成功");
      }).catch(() => {});
    },
    /** 导出按钮操作 */
    handleExport() {
      this.download('business/2502/export', {
        ...this.queryParams
      }, `2502_${new Date().getTime()}.xlsx`)
    }
  }
};
</script>
